// Import the functions you need from the SDKs you need
import { initializeApp } from "firebase/app"
import { getFirestore } from "firebase/firestore/lite"

export {}

// TODO: Add SDKs for Firebase products that you want to use
// https://firebase.google.com/docs/web/setup#available-libraries

// Your web app's Firebase configuration
const firebaseConfig = {
  apiKey: process.env.KEY,
  authDomain: "leaf-0001.firebaseapp.com",
  projectId: "leaf-0001",
  storageBucket: "leaf-0001.appspot.com",
  messagingSenderId: "679986368350",
  appId: "1:679986368350:web:3aecada812fdeb3348c9cf"
}

// Initialize Firebase
const app = initializeApp(firebaseConfig)
export const db = getFirestore(app)

console.log(
  "Live now; make now always the most precious time. Now will never come again."
)
/**
 * Listener that reacts to users clicking on the chrome action button
 * It first grabs the current state of the content script UI
 * from the chrome.storage API and depending on its current value
 * either hides or displays the popup window
 */
chrome.action.onClicked.addListener(() => {
  chrome.storage.sync.get(["visible"]).then((result) => {
    if (result.visible) {
      chrome.storage.sync.set({ visible: false })
    } else {
      chrome.storage.sync.set({ visible: true })
    }
  })
})
